package com.propertyManagement.pay.service;

import com.propertyManagement.pay.domain.CmsPayMerchant;
import com.propertyManagement.pay.domain.vo.CmsPayMerchantVo;
import com.propertyManagement.pay.domain.bo.CmsPayMerchantBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 支付商户Service接口
 *
 * @author liushuai
 * @date 2025-05-12
 */
public interface IPayMerchantService {

    /**
     * 查询支付商户
     */
    CmsPayMerchantVo queryById(Long id);

    /**
     * 查询支付商户
     */
    CmsPayMerchantVo getByCode(String code);

    /**
     * 查询支付商户列表
     */
    TableDataInfo<CmsPayMerchantVo> queryPageList(CmsPayMerchantBo bo, PageQuery pageQuery);

    /**
     * 查询支付商户列表
     */
    List<CmsPayMerchantVo> queryList(CmsPayMerchantBo bo);

    List<CmsPayMerchant> listAllUsable(String providerCode);

    /**
     * 新增支付商户
     */
    Boolean insertByBo(CmsPayMerchantBo bo);

    /**
     * 修改支付商户
     */
    Boolean updateByBo(CmsPayMerchantBo bo);

    /**
     * 校验并批量删除支付商户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    void syncEdit(CmsPayMerchantBo bo);

}
